Subject: session

From: Kiran Kumar A <[email-masked]>
Date: Wed, 28 Nov 2001 11:31:04 +0530

Hi,
      I would like to know exactly what is a session,
b'coz the triplet (DestAddr, Transport Protocol, DestPort) makes a
session.
But router functionality is restricted to IP layer only and the port is
present
in Transport Layer. Then how an intermediate router distinguishes
differnt
sessions?

If possible please explain me with an example

--
Thanx and regards,

 __/__/__/__/__/__/__/__/__/__/__/__/__/__/__/
         __/
        __/   Kiran Kumar Alampally
       __/   Software Engineer
      __/   Rendezous On Chip
     __/   Banjara Hills, Hyderabad.
    __/   Off:: 3351175/84
   __/   Res:: 3526313
  __/   @:: [email-masked]

---

From: Swayam Prakash <[email-masked]>
Date: Wed, 28 Nov 2001 12:46:22 +0530

Hi
  Got a doubt.In RFC 2205(Page 30) i came accross something called
Logical Interface Handler(LIH).Iam not able to  understand its
importance.RFC says that LIH is used to prevent the Resv Mesg coming to
wrong interface. So it says  that apart from IP address the Resv Mesg
should also carry LIH.My question is :

 (1)Each interface will have an IP address,so if we are specifying IP
address in Resv Mesg How can it go  to  wrong interface  ?

  (2) IP address itself is enuf to carry it to correct interface why we
need LIH in addition to IP address ?

  Thanks
  Swayam Prakash

---

From: Khuzema Pithewan <[email-masked]>
Date: Wed, 28 Nov 2001 14:01:58 +0530

Hi,

Resv Message can reach on wrong interface  in case of meshed network or
some Non-RSVP Routers lies in the path...in that case the Router
receiving the Resv Message will actually reserve the resource on the LIH
..NOT on the interface on which it has received the Resv Message.

Hope it helps!!
Khuzema.

Swayam Prakash wrote:

> importance.RFC says that LIH is used to prevent the Resv Mesg coming
> to wrong interface. So it says  that apart from IP address the Resv
> Mesg should also carry LIH.My question is :
>
>   (2) IP address itself is enuf to carry it to correct interface why
> we need LIH in addition to IP address ?
>
>   Thanks
>   Swayam Prakash

---

From: Aditya M Thomas <[email-masked]>
Date: Wed, 28 Nov 2001 14:19:36 +0530

Hi,

It is the RSVP instance at an intermediate router that process all RSVP 
messages and maintains the RSVP state (PSBs/RSBs) at the router.
The RSVP instance can differentiate between Sessions.

regards,
aditya.

Kiran Kumar A wrote:

> b'coz the triplet (DestAddr, Transport Protocol, DestPort) makes a session.
> in Transport Layer. Then how an intermediate router distinguishes differnt
> sessions?
> 

-- 
Aditya Thomas,
Software Engineer,
Sasken Communication Technologies Ltd.,
Bangalore,India.
Tel:080-5355501 ext:8249

If you're careful enough, nothing bad or good will ever happen to you.

---

From: Khuzema Pithewan <[email-masked]>
Date: Wed, 28 Nov 2001 14:40:25 +0530

LIH is a logical Interface handle...It can be anything to identify the
interface uniquely...

Khuzema.

Swayam Prakash wrote:

> Hi
> Will the entry in LIH and IP addr will be same?
>
> Thanks
> Swayam
>
> Khuzema Pithewan wrote:
>
> > Hi,
> >

---

From: Khuzema Pithewan <[email-masked]>
Date: Thu, 29 Nov 2001 10:45:01 +0530

everything  is correct.
The only thing I found incorrect is the ip address carried in NHOP. which will be
of interface 3.
refer section 3.1.4 of RFC 2205.

Khuzema.

Swayam Prakash wrote:

> Hi
>   I will explain to u what i have understood through an example, just tell me
> whether iam correct r not
>
> consider  routers R1 and  R2.
> R1 has two interfaces 1 and 2 and R2 has an interface 3.Say a RESV mesg has
> arrived at R2, lets say RESV mesg has to got to intf 1 of R1 & has got NHOP IP
> addr of interface 1 of R1, apart from that RESV mesg will also have an LIH .Now
> if RESV mesg instead of coming to intf 1 of R1 has come to wrong intf i.e, intf
> 2 of R1.Now the LIH in RESV mesg should have a pointer to intf1 of R1.
> Am i correct ???
>
> Thanks
> Swayam
>
> Khuzema Pithewan wrote:
>

---

From: Khuzema Pithewan <[email-masked]>
Date: Thu, 29 Nov 2001 12:44:09 +0530

I was talking about the IP Address in the NHOP of Resv Message. That will be  of
interface 3 only!!

Khuzema.

PS : Also CC to [email-masked] , as the conversation can get archived for later reference.

Swayam Prakash wrote:

> no this time u got it wrong , RFC sec-3.1.4 says that
>
> "The IP destination address of a Resv message is
>          the unicast address of a previous-hop node, obtained from the
>          path state.  "
>
> with ref to my below example that i have given previously, the above statement means
> that
> PHOP in PSB of R2  will be the IP addr of intf 1 of R1 not of  intf 3 of R2,coz for
> RESV mesg to go from intf 3 of R2 to intf 1 of R1 destination addr shud be intf  1 of
> R1 but not intf 3 of R2.Am i correct
>
> -Thanks
> Swayam
>
> Khuzema Pithewan wrote:
>
> > everything  is correct.

---

From: Swayam Prakash <[email-masked]>
Date: Thu, 29 Nov 2001 13:41:31 +0530

no it should be of intf 1 of R1 that what RFC says ,it(resv mesg NHOP) contains the same
stuff as PHOP in Path state of R2,that means intf1 of R1( from where the Path mesg would
have come to intf 3 of R2) , otherwise how RESV mesg from R2 to R1 will go.Both dest IP addr
and LIH  in RESV mesg ultimately should point to same interface. In case the IP addr doesnt
point to proper intf then one should get correct intf through  LIH.Thats what i understood.

---

From: Swayam Prakash <[email-masked]>
Date: Thu, 29 Nov 2001 14:09:13 +0530

Ok got it iam sorry, i got confused with session obj and NHOP obj.The session obj contains the
destination ip addr of a resv mesg .this is correct isnt it?????

but this gives rise to some more questions i.e,
(1)the dest IP addr in session obj and LIH point to same interface isnt it??
(2)Whats the use of NHOP?.

Thanks
Swayam

Khuzema Pithewan wrote:

> "The NHOP (i.e., the RSVP_HOP) object contains the IP address of
>          the interface through which the Resv message was sent and the
>          LIH for the logical interface on which the reservation is
>          required."
>
> This is the extract from rfc2205 sec.  3.1.4. It clearly says that NHOP object contains the IP
> Address of the interface THROUGH which Resv Message  was sent ...NOT TO WHICH Resv Message was
> sent.
>
> Hope it helps..
>
> Khuzema.
>
> Swayam Prakash wrote:
>

---

From: Khuzema Pithewan <[email-masked]>
Date: Thu, 29 Nov 2001 13:56:14 +0530

Hope it helps..

Khuzema.

---

From: Khuzema Pithewan <[email-masked]>
Date: Thu, 29 Nov 2001 14:14:19 +0530

Session Object will contain the ultimate destination IP Address .. Not of Next Hop .

Khuzema.

---

From: Swayam Prakash <[email-masked]>
Date: Thu, 29 Nov 2001 14:32:33 +0530

u mean to say the Ultimate dest IP addr means the sender  who sends the data once the reservation is
established?????

---

From: Khuzema Pithewan <[email-masked]>
Date: Thu, 29 Nov 2001 14:50:47 +0530

Nopes..Session will have the Receivers IP Address..ultimate destination for Path Message.

Khuzema.